//---------------------------------------------------------------------------
#ifndef SettingsH
#define SettingsH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.ListBox.hpp>
#include <FMX.Memo.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.ScrollBox.hpp>
#include <FMX.TabControl.hpp>
#include <FMX.TreeView.hpp>
#include "Winsoft.Android.Camera.hpp"
//---------------------------------------------------------------------------
class TFormSettings : public TForm
{
__published:	// IDE-managed Components
    TTabControl *TabControl;
    TTabItem *TabItemSettings;
    TVertScrollBox *VertScrollBox;
    TComboBox *ComboBoxCamera;
    TComboBox *ComboBoxFlashMode;
    TComboBox *ComboBoxFocusMode;
    TComboBox *ComboBoxPreviewSize;
    TLabel *LabelCamera;
    TLabel *LabelFlashMode;
    TLabel *LabelFocusMode;
    TLabel *LabelPreviewSize;
    TComboBox *ComboBoxColorEffect;
    TLabel *LabelColorEffect;
    TComboBox *ComboBoxAntibanding;
    TLabel *LabelAntibanding;
    TComboBox *ComboBoxWhiteBalance;
    TLabel *LabelWhiteBalance;
    TCheckBox *CheckBoxStretchToScreen;
    TCheckBox *CheckBoxFaceDetection;
    TLabel *LabelPictureSize;
    TComboBox *ComboBoxPictureSize;
    TLabel *LabelSceneMode;
    TComboBox *ComboBoxSceneMode;
    TTabItem *TabItemProperties;
    TTreeView *TreeView;
	void __fastcall ComboBoxPreviewSizeChange(TObject *Sender);
	void __fastcall ComboBoxCameraChange(TObject *Sender);
	void __fastcall ComboBoxFocusModeChange(TObject *Sender);
	void __fastcall ComboBoxFlashModeChange(TObject *Sender);
	void __fastcall ComboBoxColorEffectChange(TObject *Sender);
	void __fastcall ComboBoxAntibandingChange(TObject *Sender);
	void __fastcall ComboBoxWhiteBalanceChange(TObject *Sender);
	void __fastcall CheckBoxStretchToScreenChange(TObject *Sender);
  void __fastcall ComboBoxPictureSizeChange(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall ComboBoxSceneModeChange(TObject *Sender);
    void __fastcall FormDeactivate(TObject *Sender);
    void __fastcall TabControlChange(TObject *Sender);
private:	// User declarations
    bool ChangesDisabled;
    bool Initialized;
    TTreeViewItem* __fastcall AddItem(const String Text);
    TTreeViewItem* __fastcall AddItem(TTreeViewItem *TreeViewItem, const String Text);
    void __fastcall SetComboBoxSceneMode(TACamera *Camera);
    void __fastcall SetComboBoxPreviewSize(TACamera *Camera);
    void __fastcall SetComboBoxPictureSize(TACamera *Camera);
    void __fastcall SetComboBoxFocusMode(TACamera *Camera);
    void __fastcall SetComboBoxFlashMode(TACamera *Camera);
    void __fastcall SetComboBoxColorEffect(TACamera *Camera);
    void __fastcall SetComboBoxAntibanding(TACamera *Camera);
    void __fastcall SetComboBoxWhiteBalance(TACamera *Camera);
    void __fastcall SetCameraInfo();
public:		// User declarations
	__fastcall TFormSettings(TComponent* Owner);
	void __fastcall ApplySettings();

};
//---------------------------------------------------------------------------
extern PACKAGE TFormSettings *FormSettings;
//---------------------------------------------------------------------------
#endif
